﻿(function () {
'use strict';
var failureUrl = null;
function initialize() {
if (isForbidFramingError()) {
var div = document.getElementById("sportsForbidFrame");
if (div) {
WinJS.Utilities.removeClass(div, "sportsForbidFrameHidden");
}
var span = document.getElementById("sportsForbidFrameMessage");
if (span) {
// Can't access PlatformJS from here for some reason, possibly because we're in an iframe,
// so use ServicesAccessor directly.  Kind of a hack, though.
span.textContent = Platform.ServicesAccessor.resourceLoader.getString("ForbidFramingError");
}
var button = document.getElementById("sportsOpenBrowserButton");
if (button) {
button.textContent = Platform.ServicesAccessor.resourceLoader.getString("BrowserButtonLabel");
button.onclick = function () {
var uri = new Windows.Foundation.Uri(failureUrl);
Windows.System.Launcher.launchUriAsync(uri);
};
}
}
}
function isForbidFramingError() {
var isForbidFraming = false;
var failureName = getQueryParameter("failureName");
if (failureName && failureName === "FORBIDFRAMING") {
failureUrl = getQueryParameter("failureUrl");
if (failureUrl) {
isForbidFraming = true;
}
}
return isForbidFraming;
}
function getQueryParameter(variable) {
var query = window.location.search.substring(1);
var args = query.split("&");
for (var i = 0; i < args.length; i++) {
var pair = args[i].split("=");
if (pair[0] === variable) {
return decodeURIComponent(pair[1]);
}
}
return "";
}
document.addEventListener("DOMContentLoaded", initialize, false);
})();