﻿(function () {
"use strict";
WinJS.Namespace.define("SportsJS.Common.Clusters", {
PassThroughClusterControl: WinJS.Class.derive(SportsJS.UI.SportsCluster, function (element, options) {
SportsJS.UI.SportsCluster.call(this, element, options);
}, {
getModuleConfigs: function getModuleConfigs() {
var moduleConfigs = [];
var that = this;
var modulesConfig = that.modulesConfig;
if (that.league && modulesConfig && modulesConfig.length > 0) {
var configParams;
if (that.configParams){
configParams = that.configParams;
}
else {
configParams = {};
configParams.leagueType = that.league;
configParams.league = that.league;
configParams.conference = that.conference;
configParams.teamId = that.teamId;
configParams.playerId = that.playerId;
configParams.leadersType = that.leadersType;
configParams.totalNews = that.totalNews;
configParams.gameCount = that.gameCount;
configParams.entityType = that.entityType;
configParams.clusterId = that.id;
configParams.isItemClickEnabled = that.isItemClickEnabled;
configParams.usesItemsContainer = that.usesItemsContainer;
configParams.hasImage = that.hasImage;
configParams.tableSize = that.tableSize;
configParams.showLogos = that.showLogos;
configParams.showPlaceholder = that.showPlaceholder;
configParams.type = that.type;
configParams.isInteractive = that.isInteractive;
}
for (var kk = 0; kk < modulesConfig.length; kk++) {
var cfg = SportsJS.Utilities.executeFunctionByName(window, modulesConfig[kk], configParams);
if (cfg) {
moduleConfigs.push(cfg);
}
}
}
return WinJS.Promise.wrap(moduleConfigs);
}
}),
});
})();
