﻿(function () {
'use strict';
WinJS.Namespace.define("SportsJS.Common.Clusters", {
PlayerBioClusterControl: WinJS.Class.derive(SportsJS.UI.SportsCluster,
function (element, options) {
SportsJS.UI.SportsCluster.call(this, element, options);
},
{
getModuleConfigs: function getModuleConfigs() {
var moduleConfigs = [];
var that = this;
var league = that.league;
var playerId = that.playerId;
if (league && playerId) {
var playerBioConfig = SportsJS.Modules.Configs.Common.playerBio(league, playerId);
var playerStatsConfig = SportsJS.Modules.Configs.Common.playerStats(league, playerId);
var playerGameLogConfig = SportsJS.Modules.Configs.Common.playerGameLog(league, playerId);
moduleConfigs = [playerBioConfig, playerStatsConfig, playerGameLogConfig];
}
return WinJS.Promise.wrap(moduleConfigs);
}
}),
});
})();