﻿(function () {
'use strict';
//requires utilities and modulesconfig, TODO: provide overriding for properties
WinJS.Namespace.define("SportsJS.Common.Modules", {
LeagueScheduleDailyModuleControl: WinJS.Class.derive(SportsJS.Common.Modules.CommonScheduleModuleControl, function (element, options) {
//// inch forward to make programmatic config - chthakur to complete, This will be more clean
var _options = options ? options : {};
_options.templateId = "moduleFragment";
_options.fragmentPath = "/leagues/common/modules/LeagueScheduleDailyModule/LeagueScheduleDailyModule.html";
_options.dataProvider = this.dataProvider;
SportsJS.Common.Modules.CommonScheduleModuleControl.call(this, element, _options);
},
{
_leagueName: null,
constructUiQuery: function constructUiQuery() {
var that = this;
var ETDate = that.scheduleDate;
if(!that.scheduleDate){
return null;
}
var timeFrame = SportsJS.DateTimeHelpers.formatDateAsPerBackend(ETDate);
var uiQuery = new AppEx.Sports.Services.TypeDefs.Request.LeagueScheduleQuery(that.league, timeFrame);
if (!uiQuery.isValid) {
return null;
}
return uiQuery;
},
processResponse: function processResponse(res) {
var that = this;
if (!res) {
return null;
}
var response = SportsJS.Utilities.nativeObjectToJsObject(res);
if (response.weekSchedule) {
response.data = response.weekSchedule;
response.weekSchedule = null;
if (!SportsJS.Utilities.checkScheduleDataRefreshValidity(response, that.providerResponse, response.data, that.dataSource)) {
return null;
}
}
if (response.noGameToday){
return { isValid: false, status: "noGameToday" };
}
else if (!response.data) {
return null;
}
return response;
}
})
});
})();