﻿(function () {
"use strict";
WinJS.Namespace.define("SportsJS.Common.Modules", {
PlayerComparisonModuleControl: WinJS.Class.derive(SportsJS.UI.SportsModule, function (element, options) {
var _options = options ? options : {};
_options.templateId = "moduleFragment";
_options.fragmentPath = "/leagues/common/modules/PlayerComparisonModule/PlayerComparisonModule.html";
_options.dataProvider = this.dataProvider;
_options.usesItemsContainer = true;
SportsJS.UI.SportsModule.call(this, element, _options);
},
{
constructUiQuery: function constructUiQuery() {
var that = this;
var playerId = that.playerId ? that.playerId : "";
var league = that.league ? that.league : "";
if (playerId === "" || league === "") {
return null;
}
var uiQuery = new AppEx.Sports.Services.TypeDefs.Request.PlayerStatComparisonQuery(league, playerId);
if (!uiQuery || !uiQuery.isValid) {
return null;
}
return uiQuery;
},
processResponse: function processResponse(res) {
if (res) {
var response = SportsJS.Utilities.nativeObjectToJsObject(res);
response.data = response.comparisonEntityList;
response.comparisonEntityList = null;
return response;
}
else {
return null;
}
}
})
});
})();